<template>
  <v-footer
    dark
    padless
    :app="app"
  >
    <v-card
      class="flex"
      flat
      tile
    >
      <v-card-title class="transparent">
        <strong class="subheading">Get connected with us on social networks!</strong>

        <v-spacer />

        <template v-for="(item, key) in contacts">
          <v-tooltip
            :key="key"
            top
          >
            <template v-slot:activator="{ on }">
              <v-btn
                dark
                text
                elevation="0"
                color="white"
                :href="item.link"
                target="_blank"
                v-on="on"
              >
                <v-icon
                  size="15px"
                  class="mr-2"
                >
                  {{ item.icon }}
                </v-icon>

                <template v-if="$vuetify.breakpoint.lgAndUp">
                  <small>{{ item.content }}</small>
                </template>
              </v-btn>
            </template>
            <div v-text="item.content"></div>
          </v-tooltip>
        </template>
      </v-card-title>

      <v-card-text
        class="py-2 white--text text-center black"
      >
        {{ new Date().getFullYear() }} — <strong>LNU INFORMATION VAULT</strong>
      </v-card-text>
    </v-card>
  </v-footer>
</template>

<script>
export default {
  props: {
    app: Boolean
  },
  data: () => ({
    contacts: [
      {
        icon: 'mdi-gmail',
        content: 'lnu.cte.r8@gmail.com',
        link: 'https://lnuarchive@gmail.com'
      },
      {
        icon: 'mdi-facebook',
        content: 'www.facebook/lnuarchive',
        link: 'https://www.facebook.com/lnuarchive'
      },
      {
        icon: 'mdi-phone',
        content: '(+63) 916 383 7417'
      },
      {
        icon: 'mdi-map-marker',
        content: 'Leyte Normal University',
        link: 'https://www.google.com/maps/place/Leyte+Normal+University/@11.2381879,124.9991393,17z/data=!3m1!4b1!4m5!3m4!1s0x3308772c87c4c367:0xa5e5c080ec6a88ef!8m2!3d11.2381879!4d125.001328'
      }
    ]
  })
}
</script>

<style lang="scss" scoped>

</style>
